Summary:        A word-aligned compressed variant of the Java bitset class
Name:           javaewah
Version:        1.1.13
Release:        3%{?dist}
License:        ASL 2.0
URL:            https://github.com/lemire/javaewah
Source0:        https://github.com/lemire/javaewah/archive/JavaEWAH-%{version}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

BuildRequires: maven-local mvn(junit:junit) mvn(org.apache.commons:commons-lang3) mvn(org.apache.felix:maven-bundle-plugin)

%description
This is a word-aligned compressed variant of the Java Bitset class. We
provide both a 64-bit and a 32-bit RLE-like compression scheme. It can
be used to implement bitmap indexes. The EWAH format it relies upon is
used in the git implementation that runs GitHub.

The goal of word-aligned compression is not to achieve the best
compression, but rather to improve query processing time. Hence, we try
to save CPU cycles, maybe at the expense of storage. However, the EWAH
scheme we implemented is always more efficient storage-wise than an
uncompressed bitmap (implemented in Java as the BitSet class). Unlike
some alternatives, javaewah does not rely on a patented scheme.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%autosetup -n javaewah-JavaEWAH-%{version}

%pom_remove_parent
%pom_add_dep org.apache.commons:commons-lang3:3.12.0:test
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-javadoc-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc CHANGELOG README.md
%license LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.txt

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.13-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.13-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 26 2023 cunshunxia <cunshunxia@tencent.com> - 1.1.13-1
- initial build
